Skip to main content
PATCH
Update Email Domain Settings

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

The ID of the org

domain_id
string
required

The ID or domain name of the email domain

Body

Schema for updating email domain settings

Response

200 - application/json

An email domain with DKIM verification

id
string
required

Unique identifier for the email domain

domain
string
required

The domain name

dkim_status
enum<string>
required

DKIM verification status of an email domain

Available options:
PENDING,
VERIFIED,
FAILED
dkim_tokens
object[] | null
required

DKIM CNAME records to add to DNS

verified_at
string<date-time> | null
required

Timestamp when the domain was verified

created_at
string<date-time> | null
required

Timestamp when the domain was created

updated_at
string<date-time> | null
required

Timestamp when the domain was last updated